
%define module turbokid

Name:           python-turbokid
Version:        1.0.5
Release:        17%{?dist}
Summary:        Python template plugin that supports Kid templates

Group:          Development/Languages
License:        MIT
URL:            http://www.turbogears.org/docs/plugins/template.html
Source0:        http://files.turbogears.org/eggs/TurboKid-%{version}.tar.gz
BuildArch:      noarch

BuildRequires: python2-devel
%if 0%{?fedora} && 0%{?fedora} <= 12
BuildRequires: python-setuptools-devel
%else
BuildRequires: python2-setuptools
%endif
BuildRequires: python2-nose python2-kid

%global _description\
This package provides a template engine plugin, allowing you\
to easily use Kid with TurboGears, Buffet or other systems\
that support python.templating.engines.\


%description %_description

%package -n python2-turbokid
Summary: %summary
Requires:      python2-kid >= 0.9.6
%{?python_provide:%python_provide python2-turbokid}

%description -n python2-turbokid %_description

%prep
%setup -q -n TurboKid-%{version}


%build
%py2_build


%install
rm -rf %{buildroot}
%py2_install

%check
PYTHONPATH=$(pwd) nosetests-2 -q


%files -n python2-turbokid
%defattr(-,root,root,-)
%doc README.txt
%{python2_sitelib}/%{module}/
%{python2_sitelib}/TurboKid-*.egg-info


%changelog
* Thu Jul 05 2018 Dan Callaghan <dcallagh@redhat.com> - 1.0.5-17
- Fix build to explicitly use python2

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 31 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.0.5-15
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.5-14
- Python 2 binary package renamed to python2-turbokid
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-11
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 07 2010 Luke Macken <lmacken@redhat.com> - 1.0.5-2
- Fix our setuptools BR conditionals

* Tue Sep 07 2010 Luke Macken <lmacken@redhat.com> - 1.0.5-1
- Update to 1.0.5
- Enable the test suite

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.0.4-2
- Rebuild for Python 2.6

* Tue Nov 27 2007 Luke Macken <lmacken@redhat.com> - 1.0.4-1
- 1.0.4

* Sat Sep 22 2007 Luke Macken <lmacken@redhat.com> - 1.0.3-1
- 1.0.3

* Sun Sep  2 2007 Luke Macken <lmacken@redhat.com> - 1.0.2-2
- Update for python-setuptools changes in rawhide

* Sat Aug 18 2007 Luke Macken <lmacken@redhat.com> - 1.0.2-1
- 1.0.2

* Thu May  3 2007 Luke Macken <lmacken@redhat.com> - 1.0.1-1
- 1.0.1

* Sat Dec  9 2006 Luke Macken <lmacken@redhat.com> - 0.9.9-4
- Add python-devel to BuildRequires

* Fri Dec  8 2006 Luke Macken <lmacken@redhat.com> - 0.9.9-3
- Rebuild for new python

* Sat Sep 30 2006 Luke Macken <lmacken@redhat.com> - 0.9.9-2
- Add python-setuptools to BuildRequires

* Sat Sep 30 2006 Luke Macken <lmacken@redhat.com> - 0.9.9-1
- 0.9.9
- Add README

* Sat Sep 23 2006 Luke Macken <lmacken@redhat.com> - 0.9.8-3
- Rename to python-turbokid
- Own %%{python_sitelib}/turbokid directory
- Install the EGG-INFO directory

* Sun Sep 17 2006 Luke Macken <lmacken@redhat.com> - 0.9.8-2
- Add description

* Sat Sep 16 2006 Toshio Kuratomi <toshio@tiki-lounge.com> - 0.9.8-1
- Initial creation
